#include "Noisy.h"
#include "TPad.h"

#include <iostream>
Noisy::Noisy(const char* name,
             const char* title,
             double xlow, double ylow, 
             double xhi, double yhi)
    : fSlider(name,title,xlow,ylow,xhi,yhi,4,2)
      ,fPad(0)
{
    fSlider.SetObject(this);
}

Noisy::~Noisy()
{
    fSlider.SetObject(0);
}

void Noisy::ExecuteEvent(int event, int px, int py)
{
    cerr << "ExecuteEvent " << event << " " << px << " " << py << "\n";
    if (px != 0 || py != 0) return;
    if (event == kButton1Motion || event == kButton1Up) {
        fSlider.SetObject(0);
        cerr << " TSlider = [" 
             << fSlider.GetMinimum() << "," << fSlider.GetMaximum()
             << "]\n";
        if (fPad) {
            fPad->cd();
            double x1=0,y1=0,x2=0,y2=0;
            fPad->GetRange(x1,y1,x2,y2);
            cerr << " " << x1 << " " << y1 << " " << x2 << " " << y2 << endl; 
            x1=fSlider.GetMinimum();
            x2=fSlider.GetMaximum();
            fPad->Range(x1,y1,x2,y2);
            fPad->Modified();
//            fPad->Update();
            fPad->GetRange(x1,y1,x2,y2);
            cerr << " " << x1 << " " << y1 << " " << x2 << " " << y2 << endl; 
            cerr << endl;
        }
        else {
            cerr << "No pad to set\n";
        }
        fSlider.SetObject(this);
    }
    if (event == kButton1Up) {
        cerr << "Update...\n";
        fPad->Update();
    }

}
ClassImp(Noisy)

