#include "Noisy.h"
#include "TRootEmbeddedCanvas.h"
#include "TApplication.h"
#include "TGFrame.h"
#include "TGClient.h"
#include "TPad.h"
#include "TCanvas.h"
#include "TBox.h"


int main (int argc, char *argv[])
{
    TApplication* app = new TApplication("Noisy",&argc,argv,0,0);

    TGMainFrame* mf = new TGMainFrame(gClient->GetRoot(),500U,500U);
    TRootEmbeddedCanvas* canvas 
        = new TRootEmbeddedCanvas("TSlider test", mf, 500, 500);
    TGLayoutHints* loh = new TGLayoutHints(kLHintsTop|kLHintsLeft
                                           |kLHintsExpandX|kLHintsExpandY);

    canvas->GetCanvas()->MoveOpaque();
    canvas->GetCanvas()->ResizeOpaque();
    mf->AddFrame(canvas,loh);

    mf->Layout();
    mf->MapSubwindows();
    mf->Resize(mf->GetDefaultSize());
    mf->MapWindow();

    canvas->GetCanvas()->cd();
    TPad* p1 = new TPad("pad1","Pad1",0,0,1,1,3);
    p1->SetEditable(kTRUE);
    p1->Draw();
    p1->SetPad(0.0, 0.52, .96, 1.00);
    p1->cd();
    TBox* b1 = new TBox(0.1, 0.6, 0.9, 0.9);
    b1->Draw();

    canvas->GetCanvas()->cd();
    TPad* p2 = new TPad("pad2","Pad2",0,0,1,1,2);
    p2->Draw();
    p2->SetPad(0.0, 0.00, .96, 0.48);
    p2->cd();
    TBox* b2 = new TBox(0.1, 0.1, 0.9, 0.4);
    b2->Draw();


    canvas->GetCanvas()->cd();
    Noisy* n = new Noisy("Noisy","Test Noisy",0.0, 0.48, .96, 0.52);

    n->SetTPad(p1);
    
    app->Run();
} // end of main()
